#include "MechSolver.h"
MechSolver ms;
void display() {
	ms.display();

	
}
void reshape(int w, int h) { ms.reshape(w,h); }
void idle(void) {
	if (!ms.m_pause)
	{
		ms.calc_euler_t();
		if (ms.m_step % 1 == 0)glutPostRedisplay();
	}
	
	
	

	
#ifdef LINUX
	usleep(10000);
#endif
#ifdef WIN32
	Sleep(10);
#endif
}
void mouse(int button, int state, int x, int y) { ms.mouse(button,state, x, y); }
void keyboard(unsigned char key, int x, int y) {
	ms.keyboard(key, x, y);
	if (key == 'c') { if (ms.m_pause == 0) { ms.m_pause = 1; } else { ms.m_pause = 0; } }
}
int main(int argc, char* argv[]) {
	glutInit(&argc, argv);
	
	ms.m_v0 = 20;
	ms.m_dt = 0.001;
	ms.m_teta_0 = 25;
	ms.calculate_analytical_values();
	ms.calc_Y_X(256);
	ms.calc_analytical();
	ms.init_euler();
	glutCreateWindow(100, 100, 400, 300);
	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutIdleFunc(idle);
	glutKeyboardFunc(keyboard);
	glutMouseFunc(mouse);
	
	glutMainLoop();
	return 0;
}